﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.Generic;
using System.IO;

namespace NASA.BeAMartian.TagGraph.Classes
{
    public static partial class Extensions
    {
    
    }

}

namespace Sys.IO
{
    public static class File
    {
        /// <summary>
        /// (Supplemented) Reads all lines from a stream.
        /// </summary>
        /// <param name="s">The stream to read.</param>
        /// <returns>A string array containing all lines of the file.</returns>
        public static string[] ReadAllLines(Stream s)
        {
            System.IO.StreamReader reader = new StreamReader(s);
            List<string> allLines = new List<string>();

            while(!reader.EndOfStream)
            {
                allLines.Add(reader.ReadLine());
            }
            return allLines.ToArray();
        }
    }


}