﻿using System;
using System.Runtime.Serialization;
using Microsoft.Dallas.Services;

namespace CraterCity.Service.Components.DataContract
{
    [DataContract]
    public class TileExtents
    {
        [DataMember]
        public InstrumentType InstrumentType { get; set; }

        [DataMember]
        public MarsRegion MarsRegion { get; set; }

        [DataMember]
        public string ImageId { get; set; }

        [DataMember]
        public string Resolution { get; set; }

        [DataMember]
        public int DimensionX { get; set; }

        [DataMember]
        public int DimensionY { get; set; }

        [DataMember]
        public double LatitudeMin { get; set; }

        [DataMember]
        public double LatitudeMax { get; set; }

        [DataMember]
        public double LongitudeMin { get; set; }

        [DataMember]
        public double LongitudeMax { get; set; }
    }
}
