using System;
using System.Xml;
using System.Xml.Serialization;
using System.Runtime.Serialization;
using System.Collections.Generic;

namespace GalaxyZoo.Client.Model
{
    [DataContract]
    [XmlType(AnonymousType = true)]
    [XmlRoot(IsNullable = false, ElementName="annotation", Namespace="")]
    public class Annotation : AbstractGalaxyZooObject
    {
        /// <summary>
        /// Gets/Set the Id property.
        /// </summary>
        [DataMember]
        [XmlElement(ElementName="id")]
        public int Id { get; set; }

        /// <summary>
        /// Gets/Set the AnswerId property.
        /// </summary>
        [DataMember]
        [XmlElement(ElementName="answer-id")]
        public int AnswerId { get; set; }

        /// <summary>
        /// Gets/Set the UserId property.
        /// </summary>
        [DataMember]
        [XmlElement(ElementName="user_id")]
        public int UserId { get; set; }

        /// <summary>
        /// Gets/Set the TaskId property.
        /// </summary>
        [DataMember]
        [XmlElement(ElementName="task_id")]
        public int TaskId { get; set; }

        /// <summary>
        /// Gets/Set the Value property.
        /// </summary>
        [DataMember]
        [XmlElement(ElementName="value")]
        public string Value { get; set; }
    }
}
