using System;
using System.Xml;
using System.Xml.Serialization;
using System.Runtime.Serialization;
using System.Collections.Generic;

namespace GalaxyZoo.Client.Model
{
    [DataContract]
    [XmlType(AnonymousType = true)]
    [XmlRoot(IsNullable = false, ElementName="circular_crater_definition", Namespace="")]
    public class CircularCraterDefinition : AbstractGalaxyZooObject
    {
        /// <summary>
        /// Gets/Set the OffsetCenterX property.
        /// </summary>
        [DataMember]
        [XmlElement(ElementName="offset_center_x")]
        public double OffsetCenterX { get; set; }

        /// <summary>
        /// Gets/Set the OffsetCenterY property.
        /// </summary>
        [DataMember]
        [XmlElement(ElementName="offset_center_y")]
        public double OffsetCenterY { get; set; }

        /// <summary>
        /// Gets/Set the Diameter property.
        /// </summary>
        [DataMember]
        [XmlElement(ElementName="diameter")]
        public double Diameter { get; set; }
    }
}
