using System;
using System.Xml;
using System.Xml.Serialization;
using System.Runtime.Serialization;
using System.Collections.Generic;

namespace GalaxyZoo.Client.Model
{
    [DataContract]
    [XmlType(AnonymousType = true)]
    [XmlRoot(IsNullable = false, ElementName="classifications", Namespace="")]
    public class ClassificationCollection : AbstractGalaxyZooObject
    {
        /// <summary>
        /// Gets/Set the Items property.
        /// </summary>
        [DataMember]
        [XmlElement(ElementName="classification", Namespace="")]
        public List<Classification> Items { get; set; }
    }
}
