﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;

namespace Microsoft.Dallas.Services
{
    /// <summary>Represents one item returned by the OrbiterImageMetadataService.</summary>
    [DataContract]
    public partial class OrbiterImageMetadataItem
    {
        [DataMember]
        public System.Byte InstrumentId { get; set; }

        [DataMember]
        public System.Byte RegionId { get; set; }

        [DataMember]
        public System.String ImageId { get; set; }

        [DataMember]
        public System.Double MapResolution { get; set; }

        [DataMember]
        public System.Double LongitudeMin { get; set; }

        [DataMember]
        public System.Double LongitudeCenter { get; set; }

        [DataMember]
        public System.Double LongitudeMax { get; set; }

        [DataMember]
        public System.Double LatitudeMin { get; set; }

        [DataMember]
        public System.Double LatitudeCenter { get; set; }

        [DataMember]
        public System.Double LatitudeMax { get; set; }

        [DataMember]
        public System.String Description { get; set; }

        [DataMember]
        public System.Int32 MaxTileX { get; set; }

        [DataMember]
        public System.Int32 MaxTileY { get; set; }
    }
}
