﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Xml.Serialization;
using System.Collections.Generic;

namespace Microsoft.TownHall.ServiceClient
{
    [XmlRoot(ElementName = "MoreItems")]
    public class MoreItemList : List<MoreItem> { }
    public class MoreItem
    {

        public MoreItem(string imageSource, string text, string detail)
        {
            ImageSource = imageSource;
            Text = text;
            Detail = detail;
        }
        public string ImageSource { get; set; }
        public string Text { get; set; }
        public string Detail { get; set; }

    }

}
