﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.Generic;
using System.Xml.Serialization;
namespace Microsoft.TownHall.ServiceClient
{
    [XmlRoot("Tags")]
    public class TagList : List<Tag> { }

    

    [XmlRoot(ElementName = "Tag")]
    public class Tag
    {
        [XmlElement(Type=typeof(long),ElementName="TagID")]
        public long TagID { get; set; }
        [XmlElement(ElementName="Name")]
        public string Name { get; set; }
        [XmlElement(ElementName = "Slug")]
        public string Slug { get; set; }
        [XmlElement(ElementName = "Description")]
        public string Description { get; set; }
        [XmlElement(ElementName = "Count")]
        public int Count { get; set; }
    
    }
}
