﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace NASA.BeAMartian.Controls
{
    public class LoadMedia
    {
        public string Description { get; set; }
        public int TotalItems { get; set; }

        private int ItemCounter { get; set; }

        public bool IsLoaded
        {
            get
            {
                return ItemCounter >= TotalItems;
            }
        }

        public void Increment()
        {
            ItemCounter += 1;
        }

        public LoadMedia(string description)
        {
            Description = description;
        }

    }
}
