﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace NASA.BeAMartian.Execution
{
    public class XapLoaderUserToken
    {
        public XapLoaderUserToken(string className, object[] constructorArgs) :
            this(className, constructorArgs, null) { }

        public XapLoaderUserToken(string className, object[] constructorArgs, object userToken)
        {
            this.ClassName = className;
            this.ConstructorArgs = constructorArgs;
            this.UserToken = userToken;
        }

        public string ClassName { get; private set; }
        public object[] ConstructorArgs { get; private set; }
        public object UserToken { get; private set; }
    }
}
