﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace NASA.BeAMartian.Plugin
{
    public class XapClass
    {
        public XapClass() { }

        public XapClass(Uri xapUri, string className)
        {
            this.XapUri = xapUri;
            this.ClassName = className;
        }

        public Uri XapUri { get; set; }

        public string ClassName { get; set; }

        public override int GetHashCode()
        {
            int result = 17;
            result = 37 * result + this.XapUri.GetHashCode();
            result = 37 * result + this.ClassName.GetHashCode();
            return result;
        }

        public bool Equals(XapClass other)
        {
            bool ret = false;

            if (other != null)
            {
                ret = other.ClassName.Equals(this.ClassName) && other.XapUri.Equals(this.XapUri);
            }

            return ret;
        }

        public override bool Equals(object obj)
        {
            return this.Equals(obj as XapClass);
        }
    }
}
