﻿using System;
using System.Net;

namespace NASA.BeAMartian.Plugin
{
    public class XapProgressEventArgs : XapEventArgs
    {
        // AccountBalanceEventArgs constructor
        public XapProgressEventArgs(Uri xapUri, DownloadProgressChangedEventArgs downloadProgress, object userToken)
            : base(xapUri, userToken)
        {
            this.DownloadProgress = downloadProgress;
        }

        public DownloadProgressChangedEventArgs DownloadProgress { get; protected set; }
    }
}
