﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace NASA.BeAMartian.TagGraph.Classes
{
    public static class TransformHelper
    {
        public static void SetX(UIElement uielement, double value)
        {
            ((uielement.RenderTransform as TransformGroup).Children[0] as TranslateTransform).X = value;
        }
        public static void SetY(UIElement uielement, double value)
        {
            ((uielement.RenderTransform as TransformGroup).Children[0] as TranslateTransform).Y = value;
        }
        public static double GetX(UIElement uielement)
        {
            return ((uielement.RenderTransform as TransformGroup).Children[0] as TranslateTransform).X;
        }
        public static double GetY(UIElement uielement)
        {
            return ((uielement.RenderTransform as TransformGroup).Children[0] as TranslateTransform).Y;
        }
    }
}
