﻿using System;
using System.Runtime.Serialization;
using GalaxyZoo.Client.Model;

namespace CraterCity.Service.Components.DataContract
{
    [DataContract]
    public class AssetArray : TileExtents
    {
        /// <summary>
        /// this is really an array of 2 dimensions. However, WCF does not support
        /// 2 dimensional arrays, so we use a single dimensional array. To access 
        /// array address x,y we use [DimensionX * y + x]
        /// </summary>
        [DataMember]
        public AssetCollection AssetCollection { get; set; }
    }
}
