﻿using System;
using System.Runtime.Serialization;
using Microsoft.Dallas.Services;

namespace CraterCity.Service.Components.DataContract
{
    [DataContract]
    public class TileArray : TileExtents
    {
        /// <summary>
        /// this is really an array of 2 dimensions. However, WCF does not support
        /// 2 dimensional arrays, so we use a single dimensional array. To access 
        /// array address x,y we use [DimensionX * y + x]
        /// </summary>
        [DataMember]
        public OrbiterImageTileMetadataItem[] ImageTileMetadataItems { get; set; }
    }
}
