﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Runtime.Serialization;
using System.Collections.Generic;
using System.Xml.Serialization;
using System.ServiceModel;

namespace Microsoft.TownHall.ServiceClient
{
   [XmlRoot("Categories")]
    public class CategoryList : List<Category> { }

    public class Category
    {
        public int ID { get; set; }
        public string Name { get; set; }
        public string Slug { get; set; }
        public string Description { get; set; }
        public string FirstSubCategorySlug { get; set; }
        public string ImagePath { get; set; }
    }
}
