﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.Generic;
using System.Xml.Serialization;

namespace Microsoft.TownHall.ServiceClient
{
   [XmlRoot(ElementName = "Responses")]
    public class ResponseList : List<Response> { }

   [XmlRoot(ElementName = "Response")]
    public class Response
    {
       [XmlElement(ElementName = "ResponseID")]
       public long ResponseID { get; set; }
       [XmlElement(ElementName = "Body")]
       public string Body { get; set; }
       public Originator Originator { get; set; }

    }
}
