﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace NASA.BeAMartian.Execution
{
    public class ExecutionItemCompletedEventArgs : EventArgs
    {
        public ExecutionItemCompletedEventArgs()
        {
        }

        public ExecutionItemCompletedEventArgs(Exception error, bool canceled)
        {
            this.Error = error;
            this.Canceled = canceled;
        }

        public Exception Error { get; protected set; }

        public bool Canceled { get; protected set; }
    }
}
