﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace NASA.BeAMartian.Plugin
{
    public class XapDependencyNode
    {
        public XapDependencyNode(Uri xapUri, XapDependencyNode[] dependencies) 
        { 
            this.XapUri = xapUri;
            this.Dependencies = dependencies;
        }

        public Uri XapUri { get; private set; }
        public XapDependencyNode[] Dependencies { get; private set; }
        internal bool IsLoading { get; set; }
        internal bool IsLoaded { get; set; }
    }
}
