﻿using System;

namespace NASA.BeAMartian.Plugin
{
    public class XapEventArgs : EventArgs
    {
        public XapEventArgs(Uri xapUri, object userToken)
        {
            this.XapUri = xapUri;
            this.UserToken = userToken;
        }

        public virtual Uri XapUri { get; protected set; }
        public object UserToken { get; set; }
    }
}
