﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;

namespace NASA.BeAMartian.Views.Explore
{

    [Flags()]
    public enum RegionType : int
    {
        [Description("Acidalia Planitia")]
        AcidaliaPlanitia = 12,
        [Description("Amazonis Planitia")]
        AmazonisPlanitia = 27,
        [Description("Aonia Terra")]
        AoniaTerra = 2,
        [Description("Arabia Terra")]
        ArabiaTerra = 14,
        [Description("Arcadia Planitia")]
        ArcadiaPlanitia = 11,
        [Description("Argyre Planitia")]
        ArgyrePlanitia = 1,
        [Description("Chronium Terra")]
        ChroniumTerra = 3,
        [Description("Chryse Planitia")]
        ChrysePlanitia = 20,
        [Description("Elysium Planitia")]
        ElysiumPlanitia = 8,
        [Description("Eridania")]
        Eridania = 18,
        [Description("Hellas Planitia")]
        HellasPlanitia = 17,
        [Description("Hesperia Planum")]
        HesperiaPlanum = 9,
        [Description("Isidis Planitia")]
        IsidisPlanitia = 10,
        [Description("Lunae Planum")]
        LunaePlanum = 19,
        [Description("Margaritifer Terra")]
        MargaritiferTerra = 21,
        [Description("Meridiani Planum")]
        MeridianiPlanum = 4,
        [Description("Noachis Terra")]
        NoachisTerra = 5,
        [Description("Planum Australe")]
        PlanumAustrale = 29,
        [Description("Planum Boreum")]
        PlanumBoreum = -1,
        [Description("Promethei Terra")]
        PrometheiTerra = 28,
        [Description("Solis Planum")]
        SolisPlanum = 23,
        [Description("Syrtis Major")]
        SyrtisMajor = 13,
        [Description("Tempe Terra")]
        TempeTerra = 6,
        [Description("Terra Cimmeria")]
        TerraCimmeria = 7,
        [Description("Terra Sabaea")]
        TerraSabaea = 15,
        [Description("Terra Sirenum")]
        TerraSirenum = 25,
        [Description("Tharsis Volcanic Region")]
        TharsisVolcanicRegion = 26,
        [Description("Thaumasia Planum")]
        ThaumasiaPlanum = 24,
        [Description("Tyrrhena Terra")]
        TyrrhenaTerra = -2,
        [Description("Utopia Planitia")]
        UtopiaPlanitia = 16,
        [Description("Valles Marineris")]
        VallesMarineris = 22,
        [Description("Vastitas Borealis")]
        VastitasBorealis = 30,
        [Description("Xanthe Terra")]
        XantheTerra = 0
    }

}
